Profiler Control(3)

NAME
Profiler Control -

  Functions

CUresult cuProfilerStart (void)
Enable profiling.
CUresult cuProfilerStop (void)
Disable profiling.

Detailed Description

\brief profiler control functions of the low-level CUDA driver API (cudaProfiler.h)

This section describes the profiler control functions of the low-level CUDA driver application programming interface.

Function Documentation

  CUresult cuProfilerStart (void)

Enables profile collection by the active profiling tool for the current context. If profiling is already enabled, then cuProfilerStart() has no effect.

cuProfilerStart and cuProfilerStop APIs are used to programmatically control the profiling granularity by allowing profiling to be done only on selective pieces of code.

Returns:
    CUDA_SUCCESS, CUDA_ERROR_INVALID_CONTEXT

Note:
    Note that this function may also return error codes from previous, asynchronous launches.

See also:
    cuProfilerInitialize, cuProfilerStop, cudaProfilerStart

  CUresult cuProfilerStop (void)

Disables profile collection by the active profiling tool for the current context. If profiling is already disabled, then cuProfilerStop() has no effect.

cuProfilerStart and cuProfilerStop APIs are used to programmatically control the profiling granularity by allowing profiling to be done only on selective pieces of code.

Returns:
    CUDA_SUCCESS, CUDA_ERROR_INVALID_CONTEXT

Note:
    Note that this function may also return error codes from previous, asynchronous launches.

See also:
    cuProfilerInitialize, cuProfilerStart, cudaProfilerStop

Author

Generated automatically by Doxygen from the source code.